Agora Java API Reference for Android

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
io.agora.rtc2.video.BeautyOptions Class Reference

Image enhancement options. More...

## Public Member Functions
| BeautyOptions (int contrastLevel, float lightening, float smoothness, float redness, float sharpness)

## Public Attributes
int | lighteningContrastLevel
float | lighteningLevel
float | smoothnessLevel
float | rednessLevel
float | sharpnessLevel

## Static Public Attributes
static final int | LIGHTENING_CONTRAST_LOW = 0
static final int | LIGHTENING_CONTRAST_NORMAL = 1
static final int | LIGHTENING_CONTRAST_HIGH = 2

## Detailed Description

Image enhancement options.

## Constructor & Destructor Documentation

## ◆ BeautyOptions()

io.agora.rtc2.video.BeautyOptions.BeautyOptions | ( | int | contrastLevel,
|  | float | lightening,
|  | float | smoothness,
|  | float | redness,
|  | float | sharpness
| ) |  |

The image enhancement options.

Parameters

  contrastLevel | The contrast level, used with the {lighteningLevel} parameter: LIGHTENING_CONTRAST_LOW(0): low contrast level. {LIGHTENING_CONTRAST_NORMAL(1)}: (default) normal contrast level. {LIGHTENING_CONTRAST_HIGH(2)}: high contrast level.
  lightening | The brightness level. The value ranges from 0.0 (original) to 1.0. The default value is 0.7.
  smoothness | The sharpness level. The value ranges from 0.0 (original) to 1.0. The default value is 0.5. This parameter is usually used to remove blemishes.
  redness | The redness level. The value ranges from 0.0 (original) to 1.0. The default value is 0.1. This parameter adjusts the red saturation level.

## Member Data Documentation

## ◆ LIGHTENING_CONTRAST_LOW

final int io.agora.rtc2.video.BeautyOptions.LIGHTENING_CONTRAST_LOW = 0
| static

0: low contrast for lightening.

## ◆ LIGHTENING_CONTRAST_NORMAL

final int io.agora.rtc2.video.BeautyOptions.LIGHTENING_CONTRAST_NORMAL = 1
| static

1: normal contrast for lightening.

## ◆ LIGHTENING_CONTRAST_HIGH

final int io.agora.rtc2.video.BeautyOptions.LIGHTENING_CONTRAST_HIGH = 2
| static

2: high contrast for lightening.

## ◆ lighteningContrastLevel

int io.agora.rtc2.video.BeautyOptions.lighteningContrastLevel

The contrast level, used with the `lighteningLevel` parameter. The larger the value, the greater the contrast between light and dark.

- LIGHTENING_CONTRAST_LOW (0): Low contrast level.
- LIGHTENING_CONTRAST_NORMAL (1): Normal contrast level.
- LIGHTENING_CONTRAST_HIGH (2): High contrast level.

## ◆ lighteningLevel

float io.agora.rtc2.video.BeautyOptions.lighteningLevel

The brightening level, in the range [0.0,1.0], where 0.0 means the original brightening. The default value is 0.6. The higher the value, the greater the degree of brightening.

## ◆ smoothnessLevel

float io.agora.rtc2.video.BeautyOptions.smoothnessLevel

The smoothness level, in the range [0.0,1.0], where 0.0 means the original smoothness. The default value is 0.5. The greater the value, the greater the smoothness level.

## ◆ rednessLevel

float io.agora.rtc2.video.BeautyOptions.rednessLevel

The redness level, in the range [0.0,1.0], where 0.0 means the original redness. The default value is 0.1. The larger the value, the greater the redness level.

## ◆ sharpnessLevel

float io.agora.rtc2.video.BeautyOptions.sharpnessLevel

The sharpness level, in the range [0.0,1.0], where 0.0 means the original sharpness. The default value is 0.3. The larger the value, the greater the sharpness level.